- Qt 6.10
- Qt WebEngine
- QML Types
- WebEngineNewWindowRequest
- Qt 6.10.1 Reference Documentation

# WebEngineNewWindowRequest QML Type

A utility type for the WebEngineView::newWindowRequested signal. More...

Import Statement: | `import QtWebEngine`
Since: | QtWebEngine 1.12

- List of all members, including inherited members

## Properties

- DestinationType : enumeration
- destination : WebEngineNewWindowRequest::DestinationType
- requestedGeometry : rect `(since QtWebEngine 2.0)`
- requestedUrl : url `(since QtWebEngine 1.5)`
- userInitiated : bool

## Methods

- openIn(WebEngineView view)

## Detailed Description

Contains information about a request to load a page in a separate web engine view.

See also WebEngineView::newWindowRequested.

## Property Documentation

DestinationType : enumeration

Describes how to open a new view:

Constant | Description
--- | ---
`WebEngineNewWindowRequest.InNewWindow` | In a separate window.
`WebEngineNewWindowRequest.InNewTab` | In a tab of the same window.
`WebEngineNewWindowRequest.InNewDialog` | In a window without a tab bar, toolbar, or URL bar.
`WebEngineNewWindowRequest.InNewBackgroundTab` | In a tab of the same window, without hiding the currently visible web engine view.

destination : WebEngineNewWindowRequest::DestinationType

The type of window that is requested.

requestedGeometry : rect `[since QtWebEngine 2.0]`

The size that is requested for the new page.

This property was introduced in QtWebEngine 2.0.

requestedUrl : url `[since QtWebEngine 1.5]`

The URL that is requested for the new page.

This property was introduced in QtWebEngine 1.5.

userInitiated : bool

Whether this window request was directly triggered as the result of a keyboard or mouse event.

You can use this property to block automatic popups.

## Method Documentation

openIn(WebEngineView view)

Opens the requested page in the new web engine view view. State and history of the view and the page possibly loaded in it will be lost.

See also WebEngineView::newWindowRequested.